package com.gree.mall.manager.bean.goods;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.gree.mall.manager.annotation.ZfireField;
import com.gree.mall.manager.enums.ExamineStatusEnum;
import com.gree.mall.manager.enums.GoodsStatusEnum;
import com.gree.mall.manager.plus.entity.Goods;
import com.gree.mall.manager.plus.entity.GoodsApply;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
@ApiModel
public class GoodsApplyVO     {

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "申请单号")
    private String goodsApplyId;

    @ZfireField(hide = true,tbName = "a")
    private String goodsId;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "商品描述")
    private String describeText;

    @ZfireField(hide = true,tbName = "b")
    @ApiModelProperty(value = "商品分类id")
    private String categoryId;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "商品大类")
    private String categoryPname;
    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "商品小类")
    private String categoryName;

    @ZfireField(hide = true,tbName = "b")
    @ApiModelProperty(value = "大类id")
    private String categoryPid;

    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "商家编号")
    private String websitId;
    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "商家名称")
    private String websitName;
    @ZfireField(tbName = "a",hide = true)
    @ApiModelProperty(value = "上级商户")
    private String companyWechatId;
    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "上级商户")
    private String companyName;


    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "划线价格")
    private BigDecimal orgGoodsPrice;
    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "商品价格")
    private BigDecimal goodsPrice;
    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "状态")
    private ExamineStatusEnum status;
    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "申请备注")
    private String remark;
    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "审核人")
    private String approveName;
    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "审核时间")
    private Date approveTime;
    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "审核备注")
    private String approveRemark;
    @ZfireField(tbName = "a")
    @ApiModelProperty(value = "提交时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;


    @ZfireField(tbName = "b")
    @ApiModelProperty(value = "排序")
    private Integer sortNum;

}
